# -*- mode: python ; coding: utf-8 -*-

from pathlib import Path

block_cipher = None
project_dir = Path(SPECPATH).resolve()
src_dir = project_dir / "src"

hiddenimports = [
    "paddleocr",
    "pygetwindow",
    "pyautogui",
    "pythonosc",
    "rapidfuzz",
    "deep_translator",
    "chardet.pipeline.orchestrator__mypyc",
]

a = Analysis(
    [str(src_dir / "app.py")],
    pathex=[str(src_dir)],
    binaries=[],
    datas=[
        (str(project_dir / "config"), "config"),
        (str(project_dir / "doc"), "doc"),
    ],
    hiddenimports=hiddenimports,
    hookspath=[],
    hooksconfig={},
    runtime_hooks=[],
    excludes=[],
    win_no_prefer_redirects=False,
    win_private_assemblies=False,
    cipher=block_cipher,
    noarchive=False,
)

pyz = PYZ(a.pure, a.zipped_data, cipher=block_cipher)

exe = EXE(
    pyz,
    a.scripts,
    a.binaries,
    a.zipfiles,
    a.datas,
    [],
    name="vrc_osc",
    debug=False,
    bootloader_ignore_signals=False,
    strip=False,
    upx=True,
    upx_exclude=[],
    console=True,
    disable_windowed_traceback=False,
    argv_emulation=False,
    target_arch=None,
    codesign_identity=None,
    entitlements_file=None,
)
